Bug 61690 - TK: tk8.3.3-65 has 10 more test failures for Alpha"
TK: tk8.3.3-65 has 10 more test failures for Alpha"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
7.3
alpha Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Beth Uptagrafft
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-22 17:53 EST by Christopher Holmes
Modified: 2007-03-26 23:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-19 15:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-03-22 17:53:13 EST
Description of Problem:

TK: "tk8.3.3-65 has 10 more test failures for Alpha"

Version-Release number of selected component (if applicable):

tcltk-8.3.3-65.src.rpm 

How Reproducible:

Always

Steps to Reproduce:

1. rpm -i   tcltk-8.3.3-65.src.rpm 
2. cd /usr/src/redhat/SPECS
3. rpm -ba  tcltk.spec
4. cd  /usr/src/redhat/BUILD/tcltk-8.3.3/tk8.3.3/unix
5. ./configure --enable-64bits
6. make
7. make test

Actual Results:

Fails only on ALPHA
---------------

==== grid-16.6 layout weights (shrinking at minsize) FAILED
==== grid-16.6 FAILED
==== grid-16.7 layout weights (shrinking at minsize) FAILED
==== grid-16.7 FAILED
==== grid-16.8 layout internal constraints FAILED
==== grid-16.8 FAILED

==== pack-8.1 insufficient space FAILED
==== pack-8.1 FAILED
==== pack-8.2 insufficient space FAILED
==== pack-8.2 FAILED
==== pack-8.3 insufficient space FAILED
==== pack-8.3 FAILED
==== pack-8.4 insufficient space FAILED
==== pack-8.4 FAILED
==== pack-8.5 insufficient space FAILED
==== pack-8.5 FAILED
==== pack-8.6 insufficient space FAILED
==== pack-8.6 FAILED
==== pack-8.7 insufficient space FAILED
==== pack-8.7 FAILED
==== pack-8.8 insufficient space FAILED
==== pack-8.8 FAILED
==== pack-13.1 window deletion FAILED
==== pack-13.1 FAILED
==== pack-14.1 respond to changes in expansion FAILED
==== pack-14.1 FAILED

==== textDisp-11.7 TkTextSetYView FAILED
==== textDisp-11.7 FAILED

==== textDisp-26.1 AdjustForTab procedure, no tabs FAILED
==== textDisp-26.1 FAILED

==== unixEmbed-3.2 ContainerEventProc procedure, disallow position changes
FAILED
==== unixEmbed-3.2 FAILED
==== unixEmbed-3.3 ContainerEventProc procedure, disallow position changes
FAILED
==== unixEmbed-3.3 FAILED
==== unixEmbed-3.4 ContainerEventProc procedure, geometry requests FAILED
==== unixEmbed-3.4 FAILED
==== unixEmbed-4.1 EmbedStructureProc procedure, configure events FAILED
==== unixEmbed-4.1 FAILED



Expected Results:

The above errors should not happen.
However, there are some errors that happens on Intel but not on Alpha! (see
below)

Fails only on Intel
-------------

==== font-38.1 ParseFontNameObj procedure: begins with - FAILED
==== font-38.1 FAILED
==== font-38.3 ParseFontNameObj procedure: begins with -, doesn't look like list
FAILED
==== font-38.3 FAILED
==== font-40.1 TkFontParseXLFD procedure: initial dash FAILED
==== font-40.1 FAILED
==== font-40.3 TkFontParseXLFD procedure: not enough fields FAILED
==== font-40.3 FAILED
==== font-43.1 FieldSpecified procedure: specified vs. non-specified FAILED
==== font-43.1 FAILED

==== grid-13.9 -padx FAILED
==== grid-13.9 FAILED
==== grid-13.11 -pady FAILED
==== grid-13.11 FAILED

==== unixEmbed-5.1 EmbedFocusProc procedure, FocusIn events FAILED
==== unixEmbed-5.1 FAILED

==== unixfont-2.8 TkpGetFontFromAttributes: loop over returned font names FAILED
==== unixfont-2.8 FAILED


Additional Information:
	
expected results achieved on intel RedHat7.2
On Intel did not use --enable-64bit flag
Comment 1 Christopher Holmes 2002-04-19 15:32:06 EDT
NOTE: 

This bug can probably be closed. 

The original test was run on an EV67 with 256M memory (same amount of memory on 
Intel box). Once the test ran on another EV67 with 512M the "insufficient space 
FAILED" error did not appear. And the total number of Failed tests are less 
than Intel.
Comment 2 Beth Uptagrafft 2002-04-19 16:06:13 EDT
Thanks for the update, Chris.  We'll close this case, then as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.